import { FileBase, IResolver } from './file';
import { Project } from './project';
/**
 * @experimental
 */
export declare class IgnoreFile extends FileBase {
    private readonly patterns;
    /**
     * @experimental
     */
    constructor(project: Project, filePath: string);
    /**
     * (experimental) Do not commit the specified file patterns.
     *
     * @param patterns Patterns to exclude from git commits.
     * @experimental
     */
    exclude(...patterns: string[]): void;
    /**
     * (experimental) Always include the specified file patterns.
     *
     * @param patterns Patterns to include in git commits.
     * @experimental
     */
    include(...patterns: string[]): void;
    /**
     * (experimental) Implemented by derived classes and returns the contents of the file to emit.
     *
     * @experimental
     */
    protected synthesizeContent(resolver: IResolver): string | undefined;
}
