import { IResolver } from './file';
import { MarkableFileOptions, IMarkableFile } from './markable-file';
import { ObjectFile, ObjectFileOptions } from './object-file';
import { Project } from './project';
/**
 * @experimental
 */
export interface TomlFileOptions extends ObjectFileOptions, MarkableFileOptions {
}
/**
 * (experimental) TOML file.
 *
 * @experimental
 */
export declare class TomlFile extends ObjectFile implements IMarkableFile {
    /**
     * (experimental) Indicates if the projen marker TOML-comment will be added to the output.
     *
     * @experimental
     */
    readonly marker: boolean;
    /**
     * @experimental
     */
    constructor(project: Project, filePath: string, options: TomlFileOptions);
    /**
     * (experimental) Implemented by derived classes and returns the contents of the file to emit.
     *
     * @experimental
     */
    protected synthesizeContent(resolver: IResolver): string | undefined;
}
